Get Defined Entity Full Contents

Get Defined Entity Full Contents
Gets the full contents of the defined entity with the unique identifier (URN)

Gets the full defined entity with the unique identifier (URN) including secure fields.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entities/{id}/fullContents
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DefinedEntity of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:entity:vmware.vspheresddc:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "entityType": "urn:vcloud:type:vmware.vspheresddc:1.0.0",
    "name": "vspheresddc1",
    "externalId": "123",
    "entity": {
        "entity": {}
    },
    "state": "string",
    "entityState": "string",
    "creationDate": "string",
    "lastModificationDate": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    }
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entities/{id}/fullContents